/*
 * Copyright (c) 2001-2006, John Mettraux, OpenWFE.org
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions are met:
 * 
 * . Redistributions of source code must retain the above copyright notice, this
 *   list of conditions and the following disclaimer.  
 * 
 * . Redistributions in binary form must reproduce the above copyright notice, 
 *   this list of conditions and the following disclaimer in the documentation 
 *   and/or other materials provided with the distribution.
 * 
 * . Neither the name of the "OpenWFE" nor the names of its contributors may be
 *   used to endorse or promote products derived from this software without
 *   specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: OneRawChildExpression.java 2522 2006-04-27 14:43:51Z jmettraux $
 */

//
// OneRawChildExpression.java
//
// john.mettraux@openwfe.org
//
// generated with 
// jtmpl 1.1.01 2004/05/19 (john.mettraux@openwfe.org)
//

package openwfe.org.engine.expressions;

import openwfe.org.engine.expressions.raw.RawExpression;


/**
 * A mid implementation for CronExpression (and DoExpression).
 *
 * <p><font size=2>CVS Info :
 * <br>$Author: jmettraux $
 * <br>$Id: OneRawChildExpression.java 2522 2006-04-27 14:43:51Z jmettraux $ </font>
 *
 * @author john.mettraux@openwfe.org
 */
public abstract class OneRawChildExpression

    extends OneChildExpression

{

    private final static org.apache.log4j.Logger log = org.apache.log4j.Logger
        .getLogger(OneRawChildExpression.class.getName());

    //
    // CONSTANTS & co

    //
    // FIELDS

    private RawExpression rawChild = null;

    //
    // CONSTRUCTORS

    //
    // ABSTRACT METHODS

    //
    // BEAN METHODS

    public RawExpression getRawChild () { return this.rawChild; }

    public void setRawChild (final RawExpression re) { this.rawChild = re; }

    //
    // METHODS

    /**
     * This method fetches the child (it should be currently only a raw
     * expression) and stores it in the rawChild field.
     */
    protected void fetchRawChild ()
    {
        final RawExpression re = 
            (RawExpression)getExpressionPool().fetch(getChildExpressionId());

        this.setRawChild((RawExpression)re.clone());
    }

    //
    // STATIC METHODS

}
